
Foreman - Refactor #8884

Drop Ruby 1.9.3 support

01/09/2015 08:52 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3510

  

Description

Tracker for anything concerning Ruby 1.9.3 support, and being able to drop it. There are likely things in Foreman we can revert (gem

pins, workarounds).

This is not likely to happen for some time as most of our supported OSes run on Ruby 1.9.3 currently.

Related issues:

Related to Foreman - Refactor #8885: Pin google-api-client for Ruby 1.9 support Closed 01/09/2015

Related to Foreman - Refactor #10099: pin execjs gem for Ruby 1.9 Closed 04/08/2015

Related to Foreman - Bug #12015: fog-google no longer supports ruby 1.9 Closed 09/30/2015

Related to Foreman - Bug #11980: Test failures on Ruby 1.9.3, net-ssh 3.x req... Closed 09/28/2015

Related to Foreman - Bug #12074: rack-cache 1.3.0 is incompatible with Ruby 1... Closed 10/06/2015

Related to Foreman - Bug #12431: tins 1.7.0 requires Ruby 2.0 or higher Closed 11/10/2015

Related to Foreman - Bug #13866: jwt 1.5.3 breaks Ruby 1.9.3 tests Closed 02/24/2016

Related to Foreman - Bug #13929: Pin test_after_commit to version < 5.0 Closed 02/27/2016

Related to Foreman - Refactor #14876: Permit wirb 2.x on Ruby 2.0 or higher Closed 04/29/2016

Related to Foreman - Bug #15176: Bundler fails to find compatible fog-google ... Closed 05/25/2016

Related to Foreman - Bug #15576: Pin google-api-client to < 0.9 Closed 07/05/2016

Blocks Foreman - Refactor #11729: Update fog to 2.0.0 New 09/08/2015

Blocked by Packaging - Feature #7228: Rebuild packages under ror41/ruby22 SCLs Closed 08/22/2014

Blocked by Packaging - Feature #12671: Move Ubuntu 14.04 Foreman package to R... Closed 12/02/2015

Blocked by Packaging - Feature #12732: Move Ubuntu 12.04 Foreman package to R... Rejected 12/07/2015

Associated revisions

Revision 59e6ee20 - 05/25/2016 04:05 AM - Dominic Cleal

fixes #8884 - drop Gemfile support for Ruby 1.9.3

History

#1 - 01/09/2015 08:58 AM - Dominic Cleal

- Related to Refactor #8885: Pin google-api-client for Ruby 1.9 support added

#2 - 04/08/2015 07:04 PM - Anonymous

- Related to Refactor #10099: pin execjs gem for Ruby 1.9 added

#3 - 10/06/2015 04:23 AM - Dominic Cleal

- Related to Bug #12015: fog-google no longer supports ruby 1.9 added

#4 - 10/06/2015 04:24 AM - Dominic Cleal

- Blocks Refactor #11729: Update fog to 2.0.0 added
#5 - 10/06/2015 05:41 AM - Dominic Cleal

Supported OSes currently running Foreman under Ruby 1.9.3, AFAIR:

Debian 7 (wheezy)

EL6

EL7

Ubuntu 12.04 (precise)

Ubuntu 14.04 (trusty)

Fedora 19 and Debian 8 are the only ones using 2.x.

#6 - 10/06/2015 04:22 PM - Anonymous

- Related to Bug #11980: Test failures on Ruby 1.9.3, net-ssh 3.x requires Ruby 2.0 or higher added

#7 - 10/06/2015 04:22 PM - Anonymous

- Related to Bug #12074: rack-cache 1.3.0 is incompatible with Ruby 1.9.3 added

#8 - 11/10/2015 06:03 AM - Dominic Cleal

- Related to Bug #12431: tins 1.7.0 requires Ruby 2.0 or higher added

#9 - 11/10/2015 06:39 AM - Dominic Cleal

- Blocked by Feature #7228: Rebuild packages under ror41/ruby22 SCLs added

#10 - 11/10/2015 06:40 AM - Dominic Cleal

Dominic Cleal wrote:

EL6

EL7

 Being handled in #7228, which includes an update to Ruby 2.2.

#11 - 12/02/2015 11:07 AM - Dominic Cleal

- Blocked by Feature #12671: Move Ubuntu 14.04 Foreman package to Ruby 2.0.0 added

#12 - 12/04/2015 05:43 AM - Dominic Cleal

I'd propose that we drop support for Debian 7/Wheezy when we need to drop 1.9.3 support (which would likely be when Fog 2.0.0 is released), as I

can't see any reasonable way to get a newer Ruby version.

For Precise, we could switch to newer ruby2* package from the Brightbox ruby-ng PPA.

#13 - 12/07/2015 08:48 AM - Dominic Cleal

- Blocked by Feature #12732: Move Ubuntu 12.04 Foreman package to Ruby 2.0.0 added

#14 - 01/08/2016 07:41 AM - Dominic Cleal

- Blocks Bug #13082: Windows images unavailable when creating GCE image entries added

#15 - 02/24/2016 05:56 AM - Dominic Cleal

- Related to Bug #13866: jwt 1.5.3 breaks Ruby 1.9.3 tests added

#16 - 02/24/2016 06:05 AM - Dominic Cleal

Both Ubuntu 12.04 and Debian 7 will be deprecated in Foreman 1.11 (https://groups.google.com/d/msg/foreman-dev/j5Vvgdm-MAg/6vdOVzDKHgAJ)

so they may be removed in 1.12 if needed to do this ticket.

#17 - 02/27/2016 04:29 PM - Anonymous

- Related to Bug #13929: Pin test_after_commit to version < 5.0 added

#18 - 04/29/2016 05:54 AM - Dominic Cleal

- Related to Refactor #14876: Permit wirb 2.x on Ruby 2.0 or higher added

#19 - 05/09/2016 10:55 AM - Dominic Cleal
- Tracker changed from Tracker to Refactor

- Category changed from 70 to Packaging

#20 - 05/10/2016 04:55 AM - Dominic Cleal

- Blocks deleted (Bug #13082: Windows images unavailable when creating GCE image entries)

#21 - 05/10/2016 05:41 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Dominic Cleal

- Pull request https://github.com/theforeman/foreman/pull/3510 added

#22 - 05/25/2016 05:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 59e6ee202b794a0c9fcde447a36c4ab660a34d78.

#23 - 05/25/2016 07:49 AM - Dominic Cleal

- Related to Bug #15176: Bundler fails to find compatible fog-google version added

#24 - 05/25/2016 08:09 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#25 - 07/08/2016 06:39 AM - Dominic Cleal

- Related to Bug #15576: Pin google-api-client to < 0.9 added
